#
# spec file for package kernel-syms (Version 2.6.31)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define variant %{nil}
%include %_sourcedir/kernel-spec-macros

Name:           kernel-syms
Summary:        Kernel Symbol Versions (modversions)
Version:        2.6.31
Release:        1
%if %using_buildservice
%else
%define kernel_source_release %(LC_ALL=C rpm -q kernel-source%variant-%version --qf "%{RELEASE}" | grep -v 'not installed' || echo 0)
%endif
License:        GPL v2 only
Group:          Development/Sources
Url:            http://www.kernel.org/
AutoReqProv:    off
BuildRequires:  coreutils
%ifarch %ix86 ppc64 x86_64
Requires:       kernel-debug-devel = %version-%source_rel
%endif
%ifarch %ix86 ia64 ppc ppc64 s390x x86_64
Requires:       kernel-default-devel = %version-%source_rel
%endif
%ifarch %ix86 x86_64
Requires:       kernel-desktop-devel = %version-%source_rel
%endif
%ifarch %ix86
Requires:       kernel-pae-devel = %version-%source_rel
%endif
%ifarch ppc ppc64
Requires:       kernel-ppc64-devel = %version-%source_rel
%endif
%ifarch ppc
Requires:       kernel-ps3-devel = %version-%source_rel
%endif
%ifarch s390
Requires:       kernel-s390-devel = %version-%source_rel
%endif
Source:         README.KSYMS
Requires:       kernel-source%variant = %version-%source_rel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         /usr/src

%description
Kernel symbols, such as functions and variables, have version
information attached to them. This package contains the symbol versions
for the standard kernels.

This package is needed for compiling kernel module packages with proper
package dependencies.


%source_timestamp
%prep

%install
install -m 644 -D %{SOURCE0} %buildroot/%_docdir/%name/README.SUSE

%files
%defattr(-, root, root)
%dir %_docdir/%name
%_docdir/%name/README.SUSE

%changelog
